Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031095
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-10-08 11:062015-11-23 21:17
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision4df3c3d106cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031095: Cannot process a return material receipt if it has a line with a non stocked BOM product

DescriptionCannot process a return material receipt if it has a line with a non stocked BOM product
Steps To ReproduceAs group admin role:
   Create a product (Stocked = 'N', Bill of Materials = 'Y')
   Add two products in the Bill of Materials tab and Verify BOM
   Create a Goods Shipment with that product
   Explode it
   Add the storage bin where stock of the products is available to the new lines
   Complete the goods shipment
   Create a Return From Customer
   Check the three lines are available in the Pick/Edit lines
   Select the non stocked BOM and book it
   Check the product is exploded and the lines are orphan lines
   Create a Return Material Receipt
   Check the three lines are available in the Pick/Edit lines
   Select all of them
   Try to complete the receipt and check the following error message is shown:
      In line10 A BOM non-stocked is not exploded. Please, explode it manually.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0081958)
AtulOpenbravo (developer)
2015-11-18 15:47

Test Plan
- Login as group admin role.
- Create a product (Stocked = 'N', Bill of Materials = 'Y').
- Add two products in the Bill of Materials tab and Verify BOM.
- Create a Goods Shipment with that product.
- Explode it.
- Add the storage bin where stock of the products is available to the new lines.
- Complete the goods shipment.
- Create a Return From Customer.
- Check the three lines are available in the Pick/Edit lines.
- Select the non stocked BOM and book it.
- Check the product is exploded and the lines are orphan lines.
- Create a Return Material Receipt.
- Check the three lines are available in the Pick/Edit lines.
- Select all of them.
- Complete the receipt and check that transaction is processed successfully.
(0082017)
hgbot (developer)
2015-11-20 11:40

Repository: erp/devel/pi
Changeset: 4df3c3d106cdaf75dc55bdf527f6823fc9fca86d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Nov 18 19:56:37 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4df3c3d106cdaf75dc55bdf527f6823fc9fca86d [^]

Fixes Issue 31095:Cannot process a return material receipt
if it has a line with a non stocked BOM product

Return material receipt lines is linked with bom parent references

---
M src-db/database/model/functions/M_EXPLODEBOMNOTSTOCK.xml
M src/org/openbravo/common/actionhandler/RMInOutPickEditLines.java
---
(0082018)
hgbot (developer)
2015-11-20 11:40

Repository: erp/devel/pi
Changeset: 33296d182063c7584eadaf8f506cafe2983e063b
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Nov 20 11:16:27 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/33296d182063c7584eadaf8f506cafe2983e063b [^]

Related to Issue 31095: Code Review changes.
Set the correct Parent BOM InoutLine.

---
M src/org/openbravo/common/actionhandler/RMInOutPickEditLines.java
---
(0082019)
dmiguelez (developer)
2015-11-20 11:40

Code Review + Testing Ok
(0082059)
hgbot (developer)
2015-11-23 10:20

Repository: erp/devel/pi
Changeset: 5f5ac0214dae9d842756f5910c58f0d1563e0644
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Nov 20 13:43:41 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5f5ac0214dae9d842756f5910c58f0d1563e0644 [^]

Related to Issue 31095. Latest Code Review changes.
If there are multiple non-Stocked BOM Products set the correct
Parent to each InOutLine.

---
M src/org/openbravo/common/actionhandler/RMInOutPickEditLines.java
---
(0082259)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082260)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082262)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-08 11:06 ngarcia New Issue
2015-10-08 11:06 ngarcia Assigned To => Triage Finance
2015-10-08 11:06 ngarcia Modules => Core
2015-10-08 11:06 ngarcia Triggers an Emergency Pack => No
2015-10-08 11:11 heccam Issue Monitored: heccam
2015-11-17 09:30 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-11-18 14:38 AtulOpenbravo Status new => scheduled
2015-11-18 15:47 AtulOpenbravo Note Added: 0081958
2015-11-20 11:40 hgbot Checkin
2015-11-20 11:40 hgbot Note Added: 0082017
2015-11-20 11:40 hgbot Status scheduled => resolved
2015-11-20 11:40 hgbot Resolution open => fixed
2015-11-20 11:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4df3c3d106cdaf75dc55bdf527f6823fc9fca86d [^]
2015-11-20 11:40 hgbot Checkin
2015-11-20 11:40 hgbot Note Added: 0082018
2015-11-20 11:40 dmiguelez Review Assigned To => dmiguelez
2015-11-20 11:40 dmiguelez Note Added: 0082019
2015-11-20 11:40 dmiguelez Status resolved => closed
2015-11-23 10:20 hgbot Checkin
2015-11-23 10:20 hgbot Note Added: 0082059
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082259
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082260
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082262


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker